load('mnist_uint8.mat');
 
 test= zeros([10000 1]); 
 for i=1:10000,
     for j=1:10,
         if (test_y(i,j)==1)
            test(i,1)=j-1;
         end
     end
 end
 z=double(test_x');
 D = L2_distance(z(:,1:3000), z(:,1:3000),1); %Calculates the element wise Eucledian L2_distance
 options.dims=2;
options.dims=2;
[Y, R, E] = isomap(D,test(1:3000,:),test_x(1:3000,:),'k', 7,options);